#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
import dcop, dcopext
from qt import QObject, SIGNAL, SLOT
from kdeui import KMessageBox
from kio import KRun
from kdecore import KCmdLineArgs, KApplication
from GuignolsZappingForm2 import GuignolsZappingForm


class GuignolsZappingApp(GuignolsZappingForm):
    urlPrefix = "mms://vipmms.canalplus.fr/canalplus/"
    urlSuffix = "_a.wmv"

    def __init__(self, dcopRef, parent = None,name = None,modal = 0,fl = 0):
        GuignolsZappingForm.__init__(self,parent,name,modal,fl)
        self.dcopRef = dcopRef

    def validateButtons(self):
        # TODO si pas WE, activer boutons
        print "GuignolsZappingApp.validateButtons(): Not implemented yet"
    
    def playVideo(self, video):
        url = "mms://vipmms.canalplus.fr/canalplus/" + video + str(self.kDatePicker1.getDate ().toString("yyMMdd")) + "_a.wmv"
        ok, result = dcopext.DCOPApp ("kaffeine",self.dcopRef).KaffeineIface.openURL(url)
        if not ok :
            if KMessageBox.questionYesNo(self,"Kaffeine doesn't seem running. Would you launch it now ?"):
                KRun.runCommand("kaffeine")

if __name__ == "__main__":
    appname     = "GuignolsZapping"
    description = ""
    version     = ""

    KCmdLineArgs.init (sys.argv, appname, description, version)
    a = KApplication ()

    QObject.connect(a,SIGNAL("lastWindowClosed()"),a,SLOT("quit()"))
    w = GuignolsZappingApp(a.dcopClient ())
    a.setMainWidget(w)
    w.show()
    a.exec_loop()
